package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 相关还款责任人:动产(车辆信息)历史表
 * </p>
 *
 * @author liutao
 * @since 2023-06-27
 */
@TableName("review_rlt_repay_vehicle_history")
public class ReviewRltRepayVehicleHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 相关还款责任人的ID
     */
    @TableField("review_rlt_repay_id")
    private Long reviewRltRepayId;

    /**
     * 名称型号及牌照号
     */
    @TableField("vehicle_name_license_no")
    private String vehicleNameLicenseNo;

    /**
     * 购买日期
     */
    @TableField("purchase_date")
    private Date purchaseDate;

    /**
     * 发动机号
     */
    @TableField("engine_no")
    private String engineNo;

    /**
     * 行驶证号
     */
    @TableField("driving_license_no")
    private String drivingLicenseNo;

    /**
     * 是否有贷款 0否，1有
     */
    @TableField("is_loan")
    private Integer loan;

    /**
     * 贷款余额
     */
    @TableField("loan_balance")
    private BigDecimal loanBalance;

    public Long getReviewRltRepayId() {
        return reviewRltRepayId;
    }

    public void setReviewRltRepayId(Long reviewRltRepayId) {
        this.reviewRltRepayId = reviewRltRepayId;
    }
    public String getVehicleNameLicenseNo() {
        return vehicleNameLicenseNo;
    }

    public void setVehicleNameLicenseNo(String vehicleNameLicenseNo) {
        this.vehicleNameLicenseNo = vehicleNameLicenseNo;
    }
    public Date getPurchaseDate() {
        return purchaseDate;
    }

    public void setPurchaseDate(Date purchaseDate) {
        this.purchaseDate = purchaseDate;
    }
    public String getEngineNo() {
        return engineNo;
    }

    public void setEngineNo(String engineNo) {
        this.engineNo = engineNo;
    }
    public String getDrivingLicenseNo() {
        return drivingLicenseNo;
    }

    public void setDrivingLicenseNo(String drivingLicenseNo) {
        this.drivingLicenseNo = drivingLicenseNo;
    }

    public Integer getLoan() {
        return loan;
    }

    public void setLoan(Integer loan) {
        this.loan = loan;
    }

    public BigDecimal getLoanBalance() {
        return loanBalance;
    }

    public void setLoanBalance(BigDecimal loanBalance) {
        this.loanBalance = loanBalance;
    }

}
